<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="card h-fit">
  <div class="flex gap-4 py-5">
    <div class="leading-none">
      <div *ngIf="org.avatar" class="size-12 rounded-full bg-white flex items-center justify-center"></div>
      <div *ngIf="!org.avatar" class="size-12 flex items-center justify-center">
        <i class="fa fa-house-user opacity-40" style="font-size: 2rem"></i>
      </div>
    </div>
    <div class="flex flex-col gap-10">
      <div class="flex flex-col h-24">
        <div class="text-xl font-semibold">{{ org.name }}</div>
        <div class="flex items-center gap-1">
          <i class="pi pi-map-marker" style="font-size: 0.85rem"></i>
          <div>{{ org.location }}, {{ org.countryCode }}</div>
        </div>
        <div *ngIf="org.businessId" class="flex items-center gap-1">
          <div>Business Id:</div>
          <div>{{ org.businessId }}</div>
        </div>
      </div>
      <ng-template *ngIf="trailing" [ngTemplateOutlet]="trailing" [ngTemplateOutletContext]="{ $implicit: org }"> </ng-template>
    </div>
  </div>
</div>
